Subject: Re: [PATCH v8 00/10] iommu/arm-smmu-v3: Implement Runtime/System Sleep ops

From: Pranjal Shrivastava <[email-masked]>
Date: Tue, 2 Jun 2026 12:04:07 +0000

On Mon, Jun 01, 2026 at 11:03:41PM -0700, Nicolin Chen wrote:
> On Mon, Jun 01, 2026 at 09:58:57PM +0000, Pranjal Shrivastava wrote:
> > [v8]
> >  - Centralized elision logic: dropped redundant checks from invalidation
> >    call-sites; elision is now authoritative within the CMDQ layer.
> >  - Renamed elision helper to arm_smmu_cmdq_can_elide() and preserved it
> >    only for diagnostic/safety paths (ATC, GERROR, Page Response).
> >  - Consolidated implementation-specific gating and draining into a 
> >    unified quiesce_and_drain_queues callback.
> >  - Updated tegra241-cmdqv to gate virtual queues before draining,
> >    addressing non-deterministic timeouts from guest-side submissions.
> >  - Re-ordered probe sequence to enable pm_runtime only at the end, 
> >    aligning with SMMUv2 and simplifying error paths.
> >  - Refactored KUnit tests for better, addressed Nicolin's comments & added
> >    a multi-threaded kthread race test.
> >  - Refactored RPM helpers to use early-return patterns for improved clarity.
> >  - Collected R-bs from Nicolin.
> 
> FWIW, v8 is still missing a base-commit and Sashiko fails to review:
> https://sashiko.dev/#/patchset/20260601215909.3958732-1-praan%40google.com
> 
> Please make sure v9 patches are formatted with "--base=" and a public
> commit.

Ah :/ that's a shame.. I gave --base=74fa4c177ad0 to format patch which
worked for a different series [1] but not this one for some reason?

I'll ensure to add it in v9.

[1] https://lore.kernel.org/all/[email-masked]/

Thanks,
Praan